> ## Documentation Index
> Fetch the complete documentation index at: https://padelapi.org/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Pair

> Endpoint to retrieve detailed information about a specific pair including their combined stats, match history, and performance together.



## OpenAPI

````yaml https://padelapi.org/docs/api.json get /pairs/{player1}-{player2}
openapi: 3.1.0
info:
  title: Padel API – API Reference
  version: '1.0'
  description: padelapi.org
servers:
  - url: https://padelapi.org/api
security:
  - http: []
paths:
  /pairs/{player1}-{player2}:
    get:
      tags:
        - Pair
      summary: Show Pair
      description: >-
        Endpoint to retrieve detailed information about a specific pair
        including their combined stats, match history, and performance together.
      operationId: getPair
      parameters:
        - name: player1
          in: path
          required: true
          description: The player1 ID
          schema:
            type: integer
        - name: player2
          in: path
          required: true
          description: The player2 ID
          schema:
            type: integer
      responses:
        '200':
          description: '`PairResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PairResource'
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    PairResource:
      type: object
      properties:
        id:
          type: string
        self:
          type: string
        name:
          type: string
        category:
          type: string
        status:
          type: string
        points:
          type:
            - integer
            - 'null'
        first_match_at:
          type: string
        last_match_at:
          type: string
        players:
          type: array
          items:
            $ref: '#/components/schemas/PlayerResource'
        connections:
          type: string
      required:
        - id
        - self
        - name
        - category
        - status
        - points
        - first_match_at
        - last_match_at
        - players
        - connections
      title: PairResource
    PlayerResource:
      type: object
      properties:
        id:
          type: integer
        self:
          type: string
        name:
          type: string
        short_name:
          type: string
        url:
          type:
            - string
            - 'null'
        photo_url:
          type:
            - string
            - 'null'
        category:
          type: string
        nationality:
          type: string
        ranking:
          type: string
        points:
          type: integer
        height:
          type:
            - integer
            - 'null'
        side:
          type: string
        hand:
          anyOf:
            - type: 'null'
            - type: string
              enum:
                - left
                - right
        birthplace:
          type:
            - string
            - 'null'
        birthdate:
          type:
            - string
            - 'null'
        age:
          type:
            - string
            - 'null'
        links:
          type: string
        updated_at:
          type: string
        connections:
          type: object
          properties:
            matches:
              type: string
            pairs:
              type: string
              description: '''rankings'' => "/api/players/{$this->id}/rankings",'
            stats:
              type: string
          required:
            - matches
            - pairs
            - stats
      required:
        - id
        - self
        - name
        - short_name
        - url
        - photo_url
        - category
        - nationality
        - ranking
        - points
        - height
        - side
        - hand
        - birthplace
        - birthdate
        - age
        - links
        - updated_at
        - connections
      title: PlayerResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````